<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.icon.mapper.IconCategoryMapper">

    <resultMap type="IconCategory" id="IconCategoryResult">
        <result property="id"    column="id"    />
        <result property="category"    column="category"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectIconCategoryVo">
        select * from icon_category
    </sql>

    <select id="selectIconCategoryList" parameterType="IconCategory" resultMap="IconCategoryResult">
        <include refid="selectIconCategoryVo"/>
        <where>
            <if test="category != null  and category != ''"> and category = #{category}</if>
        </where>
    </select>

</mapper>
